## lockfile-progs 0.1.1

=== Makefile ===

LOADLIBES=-llockfile

all: lockfile-create
	-mkdir bin
	cp -a lockfile-create bin
	(cd bin && ln -sf lockfile-create lockfile-remove && \
             ln -sf lockfile-create lockfile-touch && \
             ln -sf lockfile-create mail-lock && \
             ln -sf lockfile-create mail-unlock && \
             ln -sf lockfile-create mail-touchlock)
	-mkdir man
	cp -a lockfile-progs.1 man
	(cd man && ln -sf lockfile-progs.1 lockfile-create.1 && \
             ln -sf lockfile-progs.1 lockfile-remove.1 && \
             ln -sf lockfile-progs.1 lockfile-touch.1 && \
             ln -sf lockfile-progs.1 mail-lock.1 && \
             ln -sf lockfile-progs.1 mail-unlock.1 && \
             ln -sf lockfile-progs.1 mail-touchlock.1)

lockfile-create: lockfile-progs.o
	${CC} -o $@ ${LDFLAGS} $^ ${LOADLIBES}

distclean: clean
clean:
	rm -f lockfile-create lockfile-remove lockfile-touch
	rm -f mail-lock mail-unlock mail-touchlock
	rm -f *.o *~
	rm -rf bin man
.PHONY: clean distclean

# Local Variables:
# tab-width: 2
# End:

=== debian/changelog ===
lockfile-progs (0.1.1) unstable; urgency=low

  * Initial release.
  * This is beta code, so be a little cautious.  I don't think there are
    any *serious* bugs, but...

 -- Rob Browning <rlb@cs.utexas.edu>  Mon, 19 Oct 1998 16:53:40 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: lockfile-progs
Section: misc
Priority: optional
Maintainer: Rob Browning <rlb@cs.utexas.edu>
Standards-Version: 2.1.2.2

Package: lockfile-progs
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Description: Programs for locking and unlocking files and mailboxes.
  This package includes several programs to safely lock and unlock
  files and mailboxes from the command line.  These include:
  .
    lockfile-create
    lockfile-remove
    lockfile-touchlock
    mail-lock
    mail-unlock
    mail-touchlock
  .
  These programs use liblockfile to perform the file locking and
  unlocking, so they are guaranteed compatible with Debian's
  file locking policies.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1998 Rob Browning <rlb@cs.utexas.edu>
# This file is covered under the terms of the Gnu Public License.

SHELL=/bin/bash

pwd       := $(shell pwd)
version   := $(shell dpkg-parsechangelog | grep Version)
version   := $(shell echo ${version} | perl -pe 's/Version:\s+//o')
upstream  := $(shell echo ${version} | perl -pe 's/-.*//o')
major_rev := $(shell echo ${upstream} | perl -pe 's/\.[^.]*$$//o')
minor_rev := $(shell echo ${upstream} | perl -pe 's/^[^.]*\.//o')
deb_rev   := $(shell echo ${version} | perl -pe 's/.*-//o')

# the architecture of the package
arch      := $(shell dpkg --print-architecture)

# The Debian target name of the package
target    := ${arch}-debian-linux-gnu

export CFLAGS    := -DDEBIAN -O2 -g
export LDFLAGS   := -g

check_vars:
	@echo "pwd: ${pwd}"
	@echo "version: ${version}"
	@echo "upstream: ${upstream}"
	@echo "major_rev: ${major_rev}"
	@echo "minor_rev: ${minor_rev}"
	@echo "deb_rev: ${deb_rev}"
.PHONY: check_vars


# Not needed yet...
#debian/% : debian/%.in debian/changelog
#	perl -p -e "s/\@MAJOR_VERSION\@/${major_rev}/go;" \
#          -e "s/\@MINOR_VERSION\@/${minor_rev}/go;" \
#          -e "s/\@FULL_VERSION\@/${upstream}/go;" \
#          -e "s/\@DEBIAN_REVISION\@/${deb_rev}/go;" \
#			> $@ < $<

#debian/stamp-setup: debian/control debian/copyright debian/menu
#	find debian/bin -type f | xargs chmod 775
#	touch debian/stamp-setup

debian/stamp-build:
	${checkdir}
	make
	touch debian/stamp-build

build: debian/stamp-build

clean:
	${checkdir}
	rm -f build debian/stamp-* debian/substvars
	-make distclean
	find -name '*~' | xargs --no-run-if-empty rm -f
	-rm -rf debian/tmp debian/files*

binary-indep:	checkroot build
	${checkdir}
  # There are no architecture-independent files to be uploaded
  # generated by this package.  If there were any they would be
  # made here.

binary-arch:	checkroot build
	${checkdir}
	rm -rf debian/tmp

	install -d debian/tmp

  # binaries
	install -d debian/tmp/usr/bin
	cp -a bin/* debian/tmp/usr/bin
	strip `find debian/tmp/usr/bin/ -type f`

  # manpages
	install -d debian/tmp/usr/man/man1
	cp -a man/* debian/tmp/usr/man/man1
	find debian/tmp/usr/man -type f | xargs gzip -9v
	(cd debian/tmp/usr/man && \
   for file in `find -type l`; \
   do \
     ln -sf lockfile-progs.1.gz $${file}.gz; \
     rm -f $${file}; \
   done)

	install -d debian/tmp/usr/doc/lockfile-progs
	cp debian/changelog debian/tmp/usr/doc/lockfile-progs/changelog.Debian

	find debian/tmp/usr/doc/lockfile-progs -type f | xargs gzip -9v
	cp debian/copyright debian/tmp/usr/doc/lockfile-progs

  # Mangle permissions to conform.
	chown -R root.root debian/tmp
	find debian/tmp -type d | xargs chmod 755
	find debian/tmp -not -type d -a -not -type l | xargs chmod 644
	chmod 755 debian/tmp/usr/bin/*

  # control scripts	
	install -d debian/tmp/DEBIAN
  #(cd debian && cp preinst postinst prerm postrm tmp/DEBIAN)
  #(cd debian/tmp/DEBIAN && chmod 755 preinst postinst prerm postrm)

  # Now really get busy.
	dpkg-shlibdeps `find debian/tmp/usr/bin/ -type f`

	dpkg-gencontrol -plockfile-progs
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
	test -f lockfile-progs.1
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	${checkdir}
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local variables:
# mode: makefile
# tab-width: 2
# End:

## lockfile-progs 0.1.7

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 
-LOADLIBES=-llockfile
+LOADLIBES := -llockfile
+CFLAGS    := -g -Wall -O2
 
 all: lockfile-create
-	-mkdir bin
+	mkdir -p bin
 	cp -a lockfile-create bin
+	cp -a lockfile-create bin/mail-lock
 	(cd bin && ln -sf lockfile-create lockfile-remove && \
              ln -sf lockfile-create lockfile-touch && \
-             ln -sf lockfile-create mail-lock && \
-             ln -sf lockfile-create mail-unlock && \
-             ln -sf lockfile-create mail-touchlock)
-	-mkdir man
+             ln -sf mail-lock mail-unlock && \
+             ln -sf mail-lock mail-touchlock)
+	mkdir -p man
 	cp -a lockfile-progs.1 man
 	(cd man && ln -sf lockfile-progs.1 lockfile-create.1 && \
              ln -sf lockfile-progs.1 lockfile-remove.1 && \
@@ -17,6 +18,7 @@
              ln -sf lockfile-progs.1 mail-lock.1 && \
              ln -sf lockfile-progs.1 mail-unlock.1 && \
              ln -sf lockfile-progs.1 mail-touchlock.1)
+.PHONY: all
 
 lockfile-create: lockfile-progs.o
 	${CC} -o $@ ${LDFLAGS} $^ ${LOADLIBES}

=== debian/changelog ===
lockfile-progs (0.1.7) unstable; urgency=low

  * Update to depend on liblockfile1 (Closes: Bug#44819)
  * Support new lockfile_create() signature.

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 24 Sep 1999 18:41:58 -0500

lockfile-progs (0.1.6) unstable; urgency=low

  * Really fix return codes (Closes: Bug#34279)

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 29 May 1999 13:36:42 -0500

lockfile-progs (0.1.5) unstable; urgency=low

  * Programs now return more meaningful result codes (Closes: Bug#31254).

 -- Rob Browning <rlb@cs.utexas.edu>  Sun, 17 Jan 1999 20:39:29 -0600

lockfile-progs (0.1.4) unstable; urgency=low

  * Don't allow locking arbitrary mailbox (Closes: Bug#28773).
  * Clean up code to use getopt.
  * Add --oneshot option to lock touching programs.
  * Add --retry-count option to locking programs.

 -- Rob Browning <rlb@cs.utexas.edu>  Sat, 21 Nov 1998 01:06:27 -0600

lockfile-progs (0.1.3) unstable; urgency=low

  * Rebuild as root.  Libtricks built a broken .deb (a file that should
    have been a symlink was a truncated file of garbage).

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 30 Oct 1998 16:11:34 -0600

lockfile-progs (0.1.2) unstable; urgency=low

  * Make mail lock programs a separate binary, and make them sgid mail.

 -- Rob Browning <rlb@cs.utexas.edu>  Fri, 30 Oct 1998 15:47:17 -0600

=== debian/control ===
Source: lockfile-progs
Section: misc
Priority: optional
Maintainer: Rob Browning <rlb@cs.utexas.edu>
Standards-Version: 2.1.2.2

Package: lockfile-progs
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Description: Programs for locking and unlocking files and mailboxes.
 This package includes several programs to safely lock and unlock
 files and mailboxes from the command line.  These include:
 .
   lockfile-create
   lockfile-remove
   lockfile-touchlock
   mail-lock
   mail-unlock
   mail-touchlock
 .
 These programs use liblockfile to perform the file locking and
 unlocking, so they are guaranteed compatible with Debian's
 file locking policies.

=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,7 @@
    done)
 
 	install -d debian/tmp/usr/doc/lockfile-progs
-	cp debian/changelog debian/tmp/usr/doc/lockfile-progs/changelog.Debian
+	cp debian/changelog debian/tmp/usr/doc/lockfile-progs/
 
 	find debian/tmp/usr/doc/lockfile-progs -type f | xargs gzip -9v
 	cp debian/copyright debian/tmp/usr/doc/lockfile-progs
@@ -96,6 +96,8 @@
 	find debian/tmp -type d | xargs chmod 755
 	find debian/tmp -not -type d -a -not -type l | xargs chmod 644
 	chmod 755 debian/tmp/usr/bin/*
+	chown :mail debian/tmp/usr/bin/mail-lock
+	chmod g+s debian/tmp/usr/bin/mail-lock
 
   # control scripts	
 	install -d debian/tmp/DEBIAN

## lockfile-progs 0.1.9

=== debian/changelog ===
lockfile-progs (0.1.9) unstable; urgency=low

  * Add command tool names to manpages. (closes: #88510)
  * Update my email address.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 17 Jul 2001 12:38:34 -0500

lockfile-progs (0.1.8) unstable; urgency=low

  * Add Build-Depends: liblockfile-dev (Closes: Bug#94948, Bug#84547).
  * Move manpages to /usr/share/man (Closes: Bug#80755, Bug#91205).
  * Move docs to /usr/share (Closes: Bug#91571).

 -- Rob Browning <rlb@cs.utexas.edu>  Mon, 23 Apr 2001 15:24:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: lockfile-progs
 Section: misc
 Priority: optional
-Maintainer: Rob Browning <rlb@cs.utexas.edu>
+Maintainer: Rob Browning <rlb@defaultvalue.org>
+Build-Depends: liblockfile-dev
 Standards-Version: 2.1.2.2
 
 Package: lockfile-progs
+Section: misc
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# Copyright 1998 Rob Browning <rlb@cs.utexas.edu>
+# Copyright 1998 Rob Browning <rlb@defaultvalue.org>
 # This file is covered under the terms of the Gnu Public License.
 
 SHELL=/bin/bash
@@ -69,29 +69,31 @@
 
 	install -d debian/tmp
 
-  # binaries
+        # binaries
 	install -d debian/tmp/usr/bin
-	cp -a bin/* debian/tmp/usr/bin
-	strip `find debian/tmp/usr/bin/ -type f`
+	for f in bin/*; \
+	do \
+	  install -s $${f} debian/tmp/usr/bin; \
+	done
 
-  # manpages
-	install -d debian/tmp/usr/man/man1
-	cp -a man/* debian/tmp/usr/man/man1
-	find debian/tmp/usr/man -type f | xargs gzip -9v
-	(cd debian/tmp/usr/man && \
-   for file in `find -type l`; \
-   do \
-     ln -sf lockfile-progs.1.gz $${file}.gz; \
-     rm -f $${file}; \
-   done)
+        # manpages
+	install -d debian/tmp/usr/share/man/man1
+	cp -a man/* debian/tmp/usr/share/man/man1
+	find debian/tmp/usr/share/man -type f | xargs gzip -9v
+	(cd debian/tmp/usr/share/man && \
+	 for file in `find -type l`; \
+	 do \
+	   ln -sf lockfile-progs.1.gz $${file}.gz; \
+	   rm -f $${file}; \
+	 done)
 
-	install -d debian/tmp/usr/doc/lockfile-progs
-	cp debian/changelog debian/tmp/usr/doc/lockfile-progs/
+	install -d debian/tmp/usr/share/doc/lockfile-progs
+	cp debian/changelog debian/tmp/usr/share/doc/lockfile-progs/
 
-	find debian/tmp/usr/doc/lockfile-progs -type f | xargs gzip -9v
-	cp debian/copyright debian/tmp/usr/doc/lockfile-progs
+	find debian/tmp/usr/share/doc/lockfile-progs -type f | xargs gzip -9v
+	cp debian/copyright debian/tmp/usr/share/doc/lockfile-progs
 
-  # Mangle permissions to conform.
+        # Mangle permissions to conform.
 	chown -R root.root debian/tmp
 	find debian/tmp -type d | xargs chmod 755
 	find debian/tmp -not -type d -a -not -type l | xargs chmod 644
@@ -99,20 +101,22 @@
 	chown :mail debian/tmp/usr/bin/mail-lock
 	chmod g+s debian/tmp/usr/bin/mail-lock
 
-  # control scripts	
+        # control scripts	
 	install -d debian/tmp/DEBIAN
-  #(cd debian && cp preinst postinst prerm postrm tmp/DEBIAN)
-  #(cd debian/tmp/DEBIAN && chmod 755 preinst postinst prerm postrm)
+	cp debian/postinst debian/tmp/DEBIAN
+	cp debian/prerm debian/tmp/DEBIAN
+	chmod 755 debian/tmp/DEBIAN/postinst
+	chmod 755 debian/tmp/DEBIAN/prerm
 
-  # Now really get busy.
+        # Now really get busy.
 	dpkg-shlibdeps `find debian/tmp/usr/bin/ -type f`
 
-	dpkg-gencontrol -plockfile-progs
+	dpkg-gencontrol -isp -plockfile-progs
 	dpkg --build debian/tmp ..
 
 define checkdir
 	test -f debian/rules
-	test -f lockfile-progs.1
+	test -f lockfile-progs.c
 endef
 
 # Below here is fairly generic really
@@ -127,8 +131,3 @@
 	test root = "`whoami`"
 
 .PHONY: binary binary-arch binary-indep clean checkroot
-
-# Local variables:
-# mode: makefile
-# tab-width: 2
-# End:

## lockfile-progs 0.1.10

=== Makefile ===

LOADLIBES := -llockfile
CFLAGS    := -g -Wall -O2

all: lockfile-create
	mkdir -p bin
	cp -a lockfile-create bin
	cp -a lockfile-create bin/mail-lock
	(cd bin && ln -sf lockfile-create lockfile-remove && \
	           ln -sf lockfile-create lockfile-touch && \
	           ln -sf mail-lock mail-unlock && \
	           ln -sf mail-lock mail-touchlock)
	mkdir -p man
	cp -a lockfile-progs.1 man
	(cd man && ln -sf lockfile-progs.1 lockfile-create.1 && \
	           ln -sf lockfile-progs.1 lockfile-remove.1 && \
	           ln -sf lockfile-progs.1 lockfile-touch.1 && \
	           ln -sf lockfile-progs.1 mail-lock.1 && \
	           ln -sf lockfile-progs.1 mail-unlock.1 && \
	           ln -sf lockfile-progs.1 mail-touchlock.1)
.PHONY: all

lockfile-create: lockfile-progs.o
	${CC} -o $@ ${LDFLAGS} $^ ${LOADLIBES}

distclean: clean
clean:
	rm -f lockfile-create lockfile-remove lockfile-touch
	rm -f mail-lock mail-unlock mail-touchlock
	rm -f *.o *~
	rm -rf bin man
.PHONY: clean distclean

=== debian/changelog ===
lockfile-progs (0.1.10) unstable; urgency=low

  * update manpage to fix dashes under utf-8. (closes: #159907)
  * recompile to fix prelink problem. (closes: #231550)
  * fix manpage to note --try like semantics of --retry.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 28 Feb 2004 11:44:30 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: liblockfile-dev
-Standards-Version: 2.1.2.2
+Standards-Version: 3.6.1
 
 Package: lockfile-progs
 Section: misc
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Priority: optional
-Description: Programs for locking and unlocking files and mailboxes.
+Description: Programs for locking and unlocking files and mailboxes
  This package includes several programs to safely lock and unlock
  files and mailboxes from the command line.  These include:
  .

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,6 @@
 # This file is covered under the terms of the Gnu Public License.
 
 SHELL=/bin/bash
-
-pwd       := $(shell pwd)
-version   := $(shell dpkg-parsechangelog | grep Version)
-version   := $(shell echo ${version} | perl -pe 's/Version:\s+//o')
-upstream  := $(shell echo ${version} | perl -pe 's/-.*//o')
-major_rev := $(shell echo ${upstream} | perl -pe 's/\.[^.]*$$//o')
-minor_rev := $(shell echo ${upstream} | perl -pe 's/^[^.]*\.//o')
-deb_rev   := $(shell echo ${version} | perl -pe 's/.*-//o')
 
 # the architecture of the package
 arch      := $(shell dpkg --print-architecture)
@@ -18,30 +10,8 @@
 # The Debian target name of the package
 target    := ${arch}-debian-linux-gnu
 
-export CFLAGS    := -DDEBIAN -O2 -g
-export LDFLAGS   := -g
-
-check_vars:
-	@echo "pwd: ${pwd}"
-	@echo "version: ${version}"
-	@echo "upstream: ${upstream}"
-	@echo "major_rev: ${major_rev}"
-	@echo "minor_rev: ${minor_rev}"
-	@echo "deb_rev: ${deb_rev}"
-.PHONY: check_vars
-
-
-# Not needed yet...
-#debian/% : debian/%.in debian/changelog
-#	perl -p -e "s/\@MAJOR_VERSION\@/${major_rev}/go;" \
-#          -e "s/\@MINOR_VERSION\@/${minor_rev}/go;" \
-#          -e "s/\@FULL_VERSION\@/${upstream}/go;" \
-#          -e "s/\@DEBIAN_REVISION\@/${deb_rev}/go;" \
-#			> $@ < $<
-
-#debian/stamp-setup: debian/control debian/copyright debian/menu
-#	find debian/bin -type f | xargs chmod 775
-#	touch debian/stamp-setup
+export CFLAGS := -DDEBIAN -O2 -g
+export LDFLAGS := -g
 
 debian/stamp-build:
 	${checkdir}
@@ -59,9 +29,9 @@
 
 binary-indep:	checkroot build
 	${checkdir}
-  # There are no architecture-independent files to be uploaded
-  # generated by this package.  If there were any they would be
-  # made here.
+        # There are no architecture-independent files to be uploaded
+        # generated by this package.  If there were any they would be
+        # made here.
 
 binary-arch:	checkroot build
 	${checkdir}
@@ -103,9 +73,7 @@
 
         # control scripts	
 	install -d debian/tmp/DEBIAN
-	cp debian/postinst debian/tmp/DEBIAN
 	cp debian/prerm debian/tmp/DEBIAN
-	chmod 755 debian/tmp/DEBIAN/postinst
 	chmod 755 debian/tmp/DEBIAN/prerm
 
         # Now really get busy.

## lockfile-progs 0.1.10build1

=== debian/changelog ===
lockfile-progs (0.1.10build1) gutsy; urgency=low

  * No-change upload to include stack protector.

 -- Kees Cook <kees@ubuntu.com>  Wed, 01 Aug 2007 23:51:26 -0700

## lockfile-progs 0.1.11ubuntu1

=== debian/changelog ===
lockfile-progs (0.1.11ubuntu1) hardy; urgency=low

  * debian/control:
    + Remove duplicate Priority line (LP: #194529).
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 24 Feb 2008 13:47:51 +0100

lockfile-progs (0.1.11) unstable; urgency=low

  * Add --quiet and --verbose options. (closes: #272539)
  * Use hard links for duplicate binaries. (closes: #382730)
  * Respect DEB_BUILD_OPTIONS nostrip. (closes: #437491)
  * Fix manpage to reflect changes to liblockfile --retry.
    (closes: #161685, #244314, #360474)
  * Add support for --lock-name (-l). (closes: #416355)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 24 Aug 2007 17:35:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lockfile-progs
 Section: misc
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: liblockfile-dev
 Standards-Version: 3.6.1
 
@@ -10,7 +11,6 @@
 Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}
-Priority: optional
 Description: Programs for locking and unlocking files and mailboxes
  This package includes several programs to safely lock and unlock
  files and mailboxes from the command line.  These include:

## lockfile-progs 0.1.11ubuntu2

=== debian/changelog ===
lockfile-progs (0.1.11ubuntu2) intrepid; urgency=low

  * Merge with Debian unstable (0.1.11-0.1)(LP: #242086). Old changes remaining:
    + debian/control:
      - Modify Maintainer value to match DebianMaintainerField spec.
  * New changes:
    + lockfile-progs.c:
      - Fix "error: format not a string literal and no format arguments"
        (forwarded to Debian as bug #487503).

 -- Michael Bienia <geser@ubuntu.com>  Sun, 22 Jun 2008 12:49:21 +0200

lockfile-progs (0.1.11-0.1) unstable; urgency=low

  * Non-maintainer upload to fix FTBFS on i386
  * Fixed control file: Priority: belongs into general section
    + The same for Section: (Closes: #464297)

 -- Patrick Winnertz <winnie@debian.org>  Tue, 04 Mar 2008 09:40:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,6 @@
 Standards-Version: 3.6.1
 
 Package: lockfile-progs
-Section: misc
-Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Programs for locking and unlocking files and mailboxes

## lockfile-progs 0.1.11-0.1

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,16 @@
 
 LOADLIBES := -llockfile
-CFLAGS    := -g -Wall -O2
+CFLAGS    := -g -Wall -Werror -O2
 
 all: lockfile-create
+	rm -rf bin
 	mkdir -p bin
 	cp -a lockfile-create bin
 	cp -a lockfile-create bin/mail-lock
-	(cd bin && ln -sf lockfile-create lockfile-remove && \
-	           ln -sf lockfile-create lockfile-touch && \
-	           ln -sf mail-lock mail-unlock && \
-	           ln -sf mail-lock mail-touchlock)
+	cd bin && ln lockfile-create lockfile-remove
+	cd bin && ln lockfile-create lockfile-touch
+	cd bin && ln mail-lock mail-unlock
+	cd bin && ln mail-lock mail-touchlock
 	mkdir -p man
 	cp -a lockfile-progs.1 man
 	(cd man && ln -sf lockfile-progs.1 lockfile-create.1 && \

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lockfile-progs
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: liblockfile-dev
 Standards-Version: 3.6.1

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,10 @@
 
         # binaries
 	install -d debian/tmp/usr/bin
-	for f in bin/*; \
-	do \
-	  install -s $${f} debian/tmp/usr/bin; \
-	done
+	cp -a bin/* debian/tmp/usr/bin/
+        ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+	  strip --strip-unneeded debian/tmp/usr/bin/*
+        endif
 
         # manpages
 	install -d debian/tmp/usr/share/man/man1

## lockfile-progs 0.1.13

=== debian/changelog ===
lockfile-progs (0.1.13) unstable; urgency=low

  * Make exit_status volatile since it interacts with a signal handler.

  * Adjust code for -Wformat-security.  Thanks to Michael Bienia
    <michael@vorlon.ping.de>. (closes: #487503)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 21 Jun 2009 10:00:52 -0700

lockfile-progs (0.1.12) unstable; urgency=low

  * Fix manpage typos.  Thanks to "A. Costa" <agcosta@gis.net>.
    (closes: #439745)

  * Remove duplicate priority field from the control file.
    (closes: #464297)

  * Add a --use-pid option which adds L_PID to the underlying liblockfile
    call.  Users should note the caveats in lockfile_create(3).

  * Add a lockfile-check program (see lockfile_check(3)).

  * Remove duplicate priority and section fields from debian/control.
    Thanks to Lucas Nussbaum <lucas@lucas-nussbaum.net> and Patrick
    Winnertz <winnie@debian.org>. (closes: #464297)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 17 Jun 2009 21:38:54 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,14 @@
 export CFLAGS := -DDEBIAN -O2 -g
 export LDFLAGS := -g
 
-debian/stamp-build:
+build:
 	${checkdir}
-	make
-	touch debian/stamp-build
-
-build: debian/stamp-build
+	$(MAKE)
+	$(MAKE) check
 
 clean:
 	${checkdir}
-	rm -f build debian/stamp-* debian/substvars
+	rm -f debian/substvars
 	-make distclean
 	find -name '*~' | xargs --no-run-if-empty rm -f
 	-rm -rf debian/tmp debian/files*

## lockfile-progs 0.1.13ubuntu1

=== debian/changelog ===
lockfile-progs (0.1.13ubuntu1) lucid; urgency=low

  * Compute md5sums during build.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 12 Jan 2010 00:10:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -74,6 +74,9 @@
 	cp debian/prerm debian/tmp/DEBIAN
 	chmod 755 debian/tmp/DEBIAN/prerm
 
+	# md5sums
+	cd debian/tmp && find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
+
         # Now really get busy.
 	dpkg-shlibdeps `find debian/tmp/usr/bin/ -type f`

## lockfile-progs 0.1.15

=== Makefile ===

LOADLIBES := -llockfile
CFLAGS    := -g -Wall -Wformat-security -Werror -O2

all: lockfile-create
	rm -rf bin
	mkdir -p bin
	cp -a lockfile-create bin
	cp -a lockfile-create bin/mail-lock
	cd bin && ln lockfile-create lockfile-remove
	cd bin && ln lockfile-create lockfile-touch
	cd bin && ln lockfile-create lockfile-check
	cd bin && ln mail-lock mail-unlock
	cd bin && ln mail-lock mail-touchlock
	mkdir -p man
	cp -a lockfile-progs.1 man
	(cd man && ln -sf lockfile-progs.1 lockfile-create.1 && \
	           ln -sf lockfile-progs.1 lockfile-remove.1 && \
	           ln -sf lockfile-progs.1 lockfile-touch.1 && \
	           ln -sf lockfile-progs.1 lockfile-check.1 && \
	           ln -sf lockfile-progs.1 mail-lock.1 && \
	           ln -sf lockfile-progs.1 mail-unlock.1 && \
	           ln -sf lockfile-progs.1 mail-touchlock.1)
.PHONY: all

lockfile-create: lockfile-progs.o
	${CC} -o $@ ${LDFLAGS} $^ ${LOADLIBES}

# These tests are quite insufficient, but perhaps better than nothing for now.
check: all
	rm -rf check
	mkdir check

	bin/lockfile-create check/file
	bin/lockfile-touch --oneshot check/file
	bin/lockfile-check check/file
	bin/lockfile-remove check/file
	! test -e check/file.lock

	bin/lockfile-create --lock-name check/file.lock
	bin/lockfile-touch --oneshot --lock-name check/file.lock
	bin/lockfile-check --lock-name check/file.lock
	bin/lockfile-remove --lock-name check/file.lock
	! test -e check/file.lock

	bin/lockfile-create --use-pid --lock-name check/file.lock
	bin/lockfile-touch --oneshot --lock-name check/file.lock
        # PID shouldn't be the same, so this should fail.
	! bin/lockfile-check --use-pid --lock-name check/file.lock
	bin/lockfile-remove --lock-name check/file.lock
	! test -e check/file.lock

	bin/lockfile-create --use-pid --lock-name check/lockfile.no-pid
.PHONY: check

distclean: clean
clean:
	rm -f lockfile-create lockfile-remove lockfile-touch lockfile-check
	rm -f mail-lock mail-unlock mail-touchlock
	rm -f *.o *~
	rm -rf bin man
	rm -rf check
.PHONY: clean distclean

=== debian/changelog ===
lockfile-progs (0.1.15) unstable; urgency=low

  * Add missing debhelper Build-Depends.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 13 Jun 2010 02:21:19 -0500

lockfile-progs (0.1.14) unstable; urgency=low

  * Don't erroneously require -l for mail-related commands.
    Thanks to Andre Grueneberg <andre-debian@grueneberg.de>. (closes: #563533)
  * Change --retry-count to --retry in the manpage.
    Thanks to Daniel Frank <debian-bugs-239623@danielfrank.net>.
    (closes: #584779)
  * Change debian/rules to use "dh $@" approach.
    This also adds md5sums, fixing a wishlist bug.  Thanks to Loïc Minier
    <lool@dooz.org>. (closes: #564798)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 12 Jun 2010 13:02:23 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1998 Rob Browning <rlb@defaultvalue.org>
# This file is covered under the terms of the Gnu Public License.

export CFLAGS := -DDEBIAN -O2 -g
export LDFLAGS := -g

%:
	dh $@

override_dh_testdir:
	test -f debian/rules
	test -f lockfile-progs.c

override_dh_auto_install:
	install -d debian/lockfile-progs/usr/bin
	cp -a bin/* debian/lockfile-progs/usr/bin/

        # manpages
	install -d debian/lockfile-progs/usr/share/man/man1
	cp -a man/* debian/lockfile-progs/usr/share/man/man1
	find debian/lockfile-progs/usr/share/man -type f | xargs gzip -9v
	(cd debian/lockfile-progs/usr/share/man && \
	 for file in `find -type l`; \
	 do \
	   ln -sf lockfile-progs.1.gz $${file}.gz; \
	   rm -f $${file}; \
	 done)

override_dh_fixperms:
	dh_fixperms
	chown :mail debian/lockfile-progs/usr/bin/mail-lock
	chmod g+s debian/lockfile-progs/usr/bin/mail-lock

## lockfile-progs 0.1.15ubuntu1

=== debian/changelog ===
lockfile-progs (0.1.15ubuntu1) oneiric; urgency=low

  * Fix build failure with GCC 4.6 -Werror. Closes: ##625384. LP: #829464.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Aug 2011 14:47:25 +0200

## lockfile-progs 0.1.15+squeeze1

=== debian/changelog ===
lockfile-progs (0.1.15+squeeze1) stable; urgency=low

  [ Niels Thykier ]
  * Non-maintainer upload.
  * Backport fix for #626752

  [ Rob Browning ]
  * Use L_PID rather than L_PPID when appropriate.  In cases where
    lockfile_create() and lockfile_check() were being called with L_PID,
    use L_PPID to capture the parent's PID.  Capturing the PID of the
    lockfile-create or lockfile-check process made no sense.  Thanks to
    Zrin Žiborski <zrin+launchpad@ziborski.net> for the report, Larry
    Diegel for the patch, and Sebastian Siewior <sebastian@breakpoint.cc>
    for the suggestion to update the documentation. (Closes: #626752)

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jun 2012 13:07:35 +0200

## lockfile-progs 0.1.16

=== debian/changelog ===
lockfile-progs (0.1.16) unstable; urgency=low

  * Remove unused rc variable in chk() to silence gcc warning.
    Thanks to Matthias Klose <doko@debian.org> for the report, and thanks
    to Aurelien Jarno <aurelien@aurel32.net> for the 0.1.15.1 NMU.
    (Closes: #625384)
  * Use L_PID rather than L_PPID when appropriate.  In cases where
    lockfile_create() and lockfile_check() were being called with L_PID,
    use L_PPID to capture the parent's PID.  Capturing the PID of the
    lockfile-create or lockfile-check process made no sense.  Thanks to
    Zrin Žiborski <zrin+launchpad@ziborski.net> for the report, Larry
    Diegel for the patch, and Sebastian Siewior <sebastian@breakpoint.cc>
    for the suggestion to update the documentation. (Closes: #626752)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 21 Aug 2011 18:54:27 -0500

## lockfile-progs 0.1.16build1

=== debian/changelog ===
lockfile-progs (0.1.16build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 16:36:17 +0100

## lockfile-progs 0.1.17

=== debian/changelog ===
lockfile-progs (0.1.17) unstable; urgency=low

  * Add "p" to getopt_long()'s short options so the "-p" arg will actually work.
    As the manpage states, "-p" was intended to be the short argument for
    "--use-pid", but since "p" wasn't added to the getopt_long()
    optstring, it didn't actually work.  Fix it.
    Thanks to Michael Deegan <bugs@wibble.darktech.org> for the report.
    (Closes: #686057)

  * Fix cross-builds; use the cross-compiler when cross-building.
    Thanks to Colin Watson <cjwatson@ubuntu.com> for the report and the
    patch. (Closes: #694842)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Dec 2012 12:16:09 -0600

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,13 @@
 #!/usr/bin/make -f
-# Copyright 1998 Rob Browning <rlb@defaultvalue.org>
+# Copyright 1998-2012 Rob Browning <rlb@defaultvalue.org>
 # This file is covered under the terms of the Gnu Public License.
+
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+export CC := $(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 export CFLAGS := -DDEBIAN -O2 -g
 export LDFLAGS := -g

## lockfile-progs 0.1.17build1

=== Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	bin/lockfile-create --use-pid --lock-name check/file.lock
 	bin/lockfile-touch --oneshot --lock-name check/file.lock
         # PID shouldn't be the same, so this should fail.
-	! bin/lockfile-check --use-pid --lock-name check/file.lock
+	bin/lockfile-check --use-pid --lock-name check/file.lock
 	bin/lockfile-remove --lock-name check/file.lock
 	! test -e check/file.lock

=== debian/changelog ===
lockfile-progs (0.1.17build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:50:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Rob Browning <rlb@defaultvalue.org>
-Build-Depends: liblockfile-dev
+Build-Depends: liblockfile-dev, debhelper (>= 7)
 Standards-Version: 3.6.1
 
 Package: lockfile-progs

## lockfile-progs 0.1.18

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 LOADLIBES := -llockfile
-CFLAGS    := -g -Wall -Wformat-security -Werror -O2
+CFLAGS    ?= -g -Wall -Wformat-security -Werror -O2
 
 all: lockfile-create
 	rm -rf bin

=== debian/changelog ===
lockfile-progs (0.1.18) unstable; urgency=medium

  * Update to debhelper 9.
  * Let environment override CFLAGS.
  * Update Standards-Version to 3.9.8.
  * Change lockfile-progs package to Multi-Arch foreign.  Thanks to Elrond
    for reporting the issue. (Closes: 907890)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 03 Sep 2018 13:17:21 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Rob Browning <rlb@defaultvalue.org>
-Build-Depends: liblockfile-dev, debhelper (>= 7)
-Standards-Version: 3.6.1
+Build-Depends: liblockfile-dev, debhelper (>= 9)
+Standards-Version: 3.9.8
 
 Package: lockfile-progs
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}
 Description: Programs for locking and unlocking files and mailboxes
  This package includes several programs to safely lock and unlock

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,8 @@
 #!/usr/bin/make -f
-# Copyright 1998-2012 Rob Browning <rlb@defaultvalue.org>
-# This file is covered under the terms of the Gnu Public License.
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
-ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-export CC := $(DEB_HOST_GNU_TYPE)-gcc
-endif
-
-export CFLAGS := -DDEBIAN -O2 -g
-export LDFLAGS := -g
+# Copyright (C) 1998-2016 Rob Browning <rlb@defaultvalue.org>
+# This file is covered under the terms of the GNU General Public
+# License.
 
 %:
 	dh $@

## lockfile-progs 0.1.18build1

=== debian/changelog ===
lockfile-progs (0.1.18build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:16 +0200

## lockfile-progs 0.1.19

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 LOADLIBES := -llockfile
-CFLAGS    ?= -g -Wall -Wformat-security -Werror -O2
+CFLAGS ?= -g -Wall -Wformat-security -Werror -O2 -fwrapv -fno-strict-aliasing
 
 all: lockfile-create
 	rm -rf bin

=== debian/changelog ===
lockfile-progs (0.1.19) unstable; urgency=medium

  * Fix lockfile-progs(1) --retry timeout example value.  Thanks to Chris
    Boot for reporting the issue. (Closes: 747241)

  * Update lockfile-progs(1) version to 0.1.19.

  * Include -fwrapv and -fno-strict-aliasing in default CFLAGS.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 03 Sep 2021 12:40:55 -0500

## lockfile-progs 0.1.19build1

=== debian/changelog ===
lockfile-progs (0.1.19build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:20:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lockfile-progs
 Section: misc
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: liblockfile-dev, debhelper (>= 9)
 Standards-Version: 3.9.8

## lockfile-progs 0.1.19build2

=== debian/changelog ===
lockfile-progs (0.1.19build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:27 +0200

## lockfile-progs 0.1.19+nmu1

=== debian/changelog ===
lockfile-progs (0.1.19+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to source format 3.0. (Closes: #1007071)

 -- Bastian Germann <bage@debian.org>  Mon, 25 Mar 2024 20:52:38 +0000

## lockfile-progs 0.2.0

=== debian/changelog ===
lockfile-progs (0.2.0) unstable; urgency=medium

  * Rework build process and make the GNU make dependency clear.
  * Pull manpage version and date from debian/changelog.
  * Add --version option

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 10 Dec 2024 15:05:21 -0600

lockfile-progs (0.1.20) unstable; urgency=medium

  * Migrate to debhelper-compat 13.
  * Use .so links and handle manpages via dh_installman.
  * Handle bin via dh_install.
  * Add Vcs fields to debian/control.
  * Remove obsolete TODO file.
  * Include environment CFLAGS.
  * Improve error messages, including messages for orphaned and stale
    locks.
  * Update debian/control Standards-Version to 4.7.0.
  * Set DEB_BUILD_MAINT_OPTIONS to hardening=+all.
  * Set Rules-Requires-Root to yes in debian/control. Root is needed to
    set the mail-lock group to mail. (Closes: 1089376)
  * Add ${misc:Depends} to Depends

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Dec 2024 13:42:32 -0600

=== debian/control ===
Source: lockfile-progs
Section: misc
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: liblockfile-dev, debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/rlb/lockfile-progs
Vcs-Git: https://salsa.debian.org/rlb/lockfile-progs.git -b main
Rules-Requires-Root: binary-targets

Package: lockfile-progs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programs for locking and unlocking files and mailboxes
 This package includes several programs to safely lock and unlock
 files and mailboxes from the command line.  These include:
 .
   lockfile-create
   lockfile-remove
   lockfile-touchlock
   mail-lock
   mail-unlock
   mail-touchlock
 .
 These programs use liblockfile to perform the file locking and
 unlocking, so they are guaranteed compatible with Debian's
 file locking policies.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 1998-2016, 2024 Rob Browning <rlb@defaultvalue.org>
# This file is covered under the terms of the GNU General Public
# License.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_testdir:
	test -f debian/rules
	test -f lockfile-progs.c

override_dh_fixperms:
	dh_fixperms
	chown :mail debian/lockfile-progs/usr/bin/mail-lock
	chmod g+s debian/lockfile-progs/usr/bin/mail-lock

## lockfile-progs 0.2.0build1

=== debian/changelog ===
lockfile-progs (0.2.0build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:35:21 +0100
